import com.ibm.xml.parser.Parser;
import java.io.FileInputStream;
import java.io.InputStream;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class SQLXParser
{
	private InputSpecElements inputSpecElements=new InputSpecElements();
	private ExecuteElement executeElement=new ExecuteElement();

	public SQLXParser(String filename) throws java.io.IOException
	{
		InputStream is=new FileInputStream(filename);
		Document doc=new Parser(filename).readStream(is);
		is.close();

		Element root=(Element)doc.getDocumentElement();
		NodeList n1=root.getChildNodes();
		for(int i=0;i < n1.getLength();i++)
		{
			Node ch=n1.item(i);
			if(ch instanceof Element)
			{
				Element e1=(Element)ch;
                                System.out.println("In Sqlparser"+e1.getAttribute("sql"));
				if(e1.getNodeName().equals(InputSpecElement.INPUTSPEC))
					getInputSpecElements().process(e1);
				else if(e1.getNodeName().equals(ExecuteElement.EXECUTE))
					getExecuteElement().process(e1);
			}
		}
	}	







	public InputSpecElements getInputSpecElements()
	{
		return inputSpecElements;
	}

	public void setInputSpecElements(InputSpecElements param)
	{
		inputSpecElements=param;
	}

	public ExecuteElement getExecuteElement()
	{
		return executeElement;
	}

	public void setExecuteElement(ExecuteElement param)
	{
		executeElement=param;
	}
}
